import request from '@/utils/request'

// 查询维修测试控制列表
export function listMaintenanceTestControl(query) {
  return request({
    url: '/manage/maintenanceTestControl/list',
    method: 'get',
    params: query
  })
}

// 查询维修测试控制详细
export function getMaintenanceTestControl(id) {
  return request({
    url: '/manage/maintenanceTestControl/' + id,
    method: 'get'
  })
}

// 新增维修测试控制
export function addMaintenanceTestControl(data) {
  return request({
    url: '/manage/maintenanceTestControl',
    method: 'post',
    data: data
  })
}

// 修改维修测试控制
export function updateMaintenanceTestControl(data) {
  return request({
    url: '/manage/maintenanceTestControl',
    method: 'put',
    data: data
  })
}

// 删除维修测试控制
export function delMaintenanceTestControl(id) {
  return request({
    url: '/manage/maintenanceTestControl/' + id,
    method: 'delete'
  })
}
